-- lx format
local format = require("core.format")

format.register({
	name = "Newline-delimited JSON Document",
	shortname = "NDJSON",
	author = "liqube",

	extensions = { "ndjson" },

	inherit = {
		syntax = "module:json",
		keys = { "comment", "patterns", "outline_patterns", "quotes", "symbols" },
	},

	defaults = {
		word_wrap = false,
	},
})
